Interval Struct Reference

Represents a single integration interval. The interval is assumed to be inclusive, i.e. [t0,t1]. More...

`#include <Types.h>`

## Public Member Functions

| Interval (double start, double end, double step)
| Default constructor.

## Public Attributes

double | stepLength
| The world space step length that is reasonable to use for the given interval.
double | t0
| The start of the interval (inclusive).
double | t1
| The end of the interval (inclusive).

## Detailed Description

Represents a single integration interval. The interval is assumed to be inclusive, i.e. [t0,t1].

Definition at line 65 of file Types.h.

## Constructor & Destructor Documentation

## Interval()

Interval::Interval | ( | double | start,
|  | double | end,
|  | double | step )

inline

Default constructor.

Definition at line 70 of file Types.h.

: t0(start), t1(end), stepLength(step)
{ }
Interval::stepLength
double stepLength
The world space step length that is reasonable to use for the given interval.
Definition Types.h:82
Interval::t1
double t1
The end of the interval (inclusive).
Definition Types.h:79
Interval::t0
double t0
The start of the interval (inclusive).
Definition Types.h:77

References stepLength, t0, and t1.

## Member Data Documentation

## t0

double Interval::t0

The start of the interval (inclusive).

Definition at line 77 of file Types.h.

Referenced by Interval().

## t1

double Interval::t1

The end of the interval (inclusive).

Definition at line 79 of file Types.h.

Referenced by Interval().

## stepLength

double Interval::stepLength

The world space step length that is reasonable to use for the given interval.

Definition at line 82 of file Types.h.

Referenced by Interval().

The documentation for this struct was generated from the following file:

- export/Types.h